org.jboss.shrinkwrap.descriptor.api.j2ee14

## Interface EjbRefType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface EjbRefType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `ejb-refType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EjbRefType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `EjbRefType<T>` | `ejbLink(java.lang.String ejbLink)` Sets the `ejb-link` element
    `EjbRefType<T>` | `ejbRefName(java.lang.String ejbRefName)` Sets the `ejb-ref-name` element
    `EjbRefType<T>` | `ejbRefType(EjbRefTypeType ejbRefType)` Sets the `ejb-ref-type` element
    `EjbRefType<T>` | `ejbRefType(java.lang.String ejbRefType)` Sets the `ejb-ref-type` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.lang.String` | `getEjbLink()` Returns the `ejb-link` element
    `java.lang.String` | `getEjbRefName()` Returns the `ejb-ref-name` element
    `EjbRefTypeType` | `getEjbRefType()` Returns the `ejb-ref-type` element
    `java.lang.String` | `getEjbRefTypeAsString()` Returns the `ejb-ref-type` element
    `java.lang.String` | `getHome()` Returns the `home` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getRemote()` Returns the `remote` element
    `EjbRefType<T>` | `home(java.lang.String home)` Sets the `home` element
    `EjbRefType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `EjbRefType<T>` | `remote(java.lang.String remote)` Sets the `remote` element
    `EjbRefType<T>` | `removeAllDescription()` Removes the `description` element
    `EjbRefType<T>` | `removeEjbLink()` Removes the `ejb-link` element
    `EjbRefType<T>` | `removeEjbRefName()` Removes the `ejb-ref-name` element
    `EjbRefType<T>` | `removeEjbRefType()` Removes the `ejb-ref-type` attribute
    `EjbRefType<T>` | `removeHome()` Removes the `home` element
    `EjbRefType<T>` | `removeId()` Removes the `id` attribute
    `EjbRefType<T>` | `removeRemote()` Removes the `remote` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          EjbRefType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `EjbRefType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          EjbRefType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `EjbRefType`

    - #### ejbRefName

          EjbRefType<T> ejbRefName(java.lang.String ejbRefName)

      Sets the `ejb-ref-name` element
      Parameters:
        `ejbRefName` - the value for the element `ejb-ref-name`
      Returns:
        the current instance of `EjbRefType`

    - #### getEjbRefName

          java.lang.String getEjbRefName()

      Returns the `ejb-ref-name` element
      Returns:
        the node defined for the element `ejb-ref-name`

    - #### removeEjbRefName

          EjbRefType<T> removeEjbRefName()

      Removes the `ejb-ref-name` element
      Returns:
        the current instance of `EjbRefType`

    - #### ejbRefType

          EjbRefType<T> ejbRefType(EjbRefTypeType ejbRefType)

      Sets the `ejb-ref-type` element
      Parameters:
        `ejbRefType` - the value for the element `ejb-ref-type`
      Returns:
        the current instance of `EjbRefType`

    - #### ejbRefType

          EjbRefType<T> ejbRefType(java.lang.String ejbRefType)

      Sets the `ejb-ref-type` element
      Parameters:
        `ejbRefType` - the value for the element `ejb-ref-type`
      Returns:
        the current instance of `EjbRefType`

    - #### getEjbRefType

          EjbRefTypeType getEjbRefType()

      Returns the `ejb-ref-type` element
      Returns:
        the value found for the element `ejb-ref-type`

    - #### getEjbRefTypeAsString

          java.lang.String getEjbRefTypeAsString()

      Returns the `ejb-ref-type` element
      Returns:
        the value found for the element `ejb-ref-type`

    - #### removeEjbRefType

          EjbRefType<T> removeEjbRefType()

      Removes the `ejb-ref-type` attribute
      Returns:
        the current instance of `EjbRefType`

    - #### home

          EjbRefType<T> home(java.lang.String home)

      Sets the `home` element
      Parameters:
        `home` - the value for the element `home`
      Returns:
        the current instance of `EjbRefType`

    - #### getHome

          java.lang.String getHome()

      Returns the `home` element
      Returns:
        the node defined for the element `home`

    - #### removeHome

          EjbRefType<T> removeHome()

      Removes the `home` element
      Returns:
        the current instance of `EjbRefType`

    - #### remote

          EjbRefType<T> remote(java.lang.String remote)

      Sets the `remote` element
      Parameters:
        `remote` - the value for the element `remote`
      Returns:
        the current instance of `EjbRefType`

    - #### getRemote

          java.lang.String getRemote()

      Returns the `remote` element
      Returns:
        the node defined for the element `remote`

    - #### removeRemote

          EjbRefType<T> removeRemote()

      Removes the `remote` element
      Returns:
        the current instance of `EjbRefType`

    - #### ejbLink

          EjbRefType<T> ejbLink(java.lang.String ejbLink)

      Sets the `ejb-link` element
      Parameters:
        `ejbLink` - the value for the element `ejb-link`
      Returns:
        the current instance of `EjbRefType`

    - #### getEjbLink

          java.lang.String getEjbLink()

      Returns the `ejb-link` element
      Returns:
        the node defined for the element `ejb-link`

    - #### removeEjbLink

          EjbRefType<T> removeEjbLink()

      Removes the `ejb-link` element
      Returns:
        the current instance of `EjbRefType`

    - #### id

          EjbRefType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `EjbRefType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          EjbRefType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `EjbRefType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)